<template>
  <v-group>
    <v-line :config="computeLineConfig()" />
  </v-group>
</template>

<script lang="ts">
import { FREQUENCY_BAR_WIDTH, FREQUENCY_BAR_HEIGHT, VISUALIZER_MARGIN_TOP, VISUALIZER_MARGIN } from '@/lib/gui/utils/constants';

export default {
  name: "AnalyserFrequencyView",
  components: {},
  props: {
    audioData: Uint8Array
  },
  methods: {
    computeLineConfig() {
      const data: number[] = [];
      const height = VISUALIZER_MARGIN_TOP + FREQUENCY_BAR_HEIGHT + 2 * VISUALIZER_MARGIN;
      (this as any).audioData.forEach((val: number, index: number) => {
        data.push(index * FREQUENCY_BAR_WIDTH + VISUALIZER_MARGIN);
        data.push(val / 255 * height);
      });
      return {
        points: data,
        stroke: 'red'
      }
    }
  }
}

</script>
